HOVT Time Now
HOVT is the abbreviation of Khovd Time. Time zone offset of HOVT is UTC+07. Khovd Time is 7 hours ahead from the UTC universal time. HOVT current date is Sunday, November 15, 2026. Current time in HOVT (HOVT).
HOVT Time
05:20:34
15 November 2026 Sunday
HOVT is the abbreviation commonly used for Khovd Time. Khovd Time is effective for 3 western provinces of Mongolia: Khovd, Bayan-Olgii, and Uvs, including the cities of Khovd, Ulaangom, Olgii, and others. Since the year 2015, daylight saving time is used in Mongolia. HOVT is 7 hours ahead of the UTC universal time and 1 hour ahead from MST.
What time is it in Khovd Time now? It is 05:20:34 right now.
Khovd Time Date and Time Now in Various Formats
| Date Time Format | HOVT Date Time Now |
|---|---|
| UTC | 2026-11-14T22:20:34Z |
| ISO-8601 | 2026-11-15T05:20:34+0700 |
| RFC 2822 | Sun, 15 Nov 2026 05:20:34 +0700 |
| RFC 850 | Sunday, 15-Nov-26 05:20:34 HOVT |
| RFC 1036 | Sun, 15 Nov 26 05:20:34 +0700 |
| RFC 1123 | Sun, 15 Nov 2026 05:20:34 +0700 |
| RFC 822 | Sun, 15 Nov 26 05:20:34 +0700 |
| RFC 3339 | 2026-11-15T05:20:34+07:00 |
| ATOM | 2026-11-15T05:20:34+07:00 |
| COOKIE | Sunday, 15-Nov-2026 05:20:34 HOVT |
| RSS | Sun, 15 Nov 2026 05:20:34 +0700 |
| W3C | 2026-11-15T05:20:34+07:00 |
| Unix Epoch | 1794694834 |
| YYYY-MM-DD HH:MM:SS | 2026-11-15 05:20:34 |
| YYYY-MM-DD HH:MM:SS am/pm | 2026-11-15 05:20:34 AM |
| DD-MM-YYYY HH:MM:SS | 15-11-2026 05:20:34 |
| MM-DD-YYYY HH:MM:SS | 11-15-2026 05:20:34 |